Package Gnumed :: Package timelinelib :: Package canvas :: Package eventboxdrawers :: Module defaulteventboxdrawer :: Class DefaultEventBoxDrawer |
[frames] | no frames]

# Class DefaultEventBoxDrawer

source code

    object --+
             |
            DefaultEventBoxDrawer

Instance Methods
draw(self, dc, scene, rect, event, view_properties) | source code
draw_fuzzy(self, dc, event, p1, p2, p3, p4, p5) | source code
draw_segment(self, dc, event, x0, y0, r, start_angle, end_angle) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`